"""add sport preferences

Revision ID: 080acc8ee956
Revises: 9842464bb885
Create Date: 2021-11-12 10:20:23.786727

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '080acc8ee956'
down_revision = '9842464bb885'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'users_sports_preferences',
        sa.Column('user_id', sa.Integer(), nullable=False),
        sa.Column('sport_id', sa.Integer(), nullable=False),
        sa.Column('color', sa.String(length=50), nullable=True),
        sa.Column('is_active', sa.Boolean(), nullable=False),
        sa.Column(
            'stopped_speed_threshold',
            sa.Float(),
            nullable=False,
        ),
        sa.ForeignKeyConstraint(
            ['sport_id'],
            ['sports.id'],
        ),
        sa.ForeignKeyConstraint(
            ['user_id'],
            ['users.id'],
        ),
        sa.PrimaryKeyConstraint('user_id', 'sport_id'),
    )


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('users_sports_preferences')
    # ### end Alembic commands ###
